Package org.apache.commons.compress.harmony.pack200

# Class CpBands

java.lang.Object
org.apache.commons.compress.harmony.pack200.BandSet
org.apache.commons.compress.harmony.pack200.CpBands

public class CpBands extends BandSet
Pack200 Constant Pool Bands

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.compress.harmony.pack200.BandSet

  `BandSet.BandAnalysisResults, BandSet.BandData`

- ## Field Summary

  ### Fields inherited from class org.apache.commons.compress.harmony.pack200.BandSet

  `segmentHeader`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CpBands(Segment segment, int effort)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addCPClass(String className)`
  `boolean`
  `existsCpClass(String className)`
  `void`
  `finaliseBands()`
  All input classes for the segment have now been read in, so this method is called so that this class can calculate/complete anything it could not do while classes were being read.
  `CPConstant<?>`
  `getConstant(Object value)`
  `CPClass`
  `getCPClass(String className)`
  Gets a constant pool class for the given class name.
  `CPMethodOrField`
  `getCPField(String owner, String name, String desc)`
  `CPMethodOrField`
  `getCPField(CPClass cpClass, String name, String desc)`
  `CPMethodOrField`
  `getCPIMethod(String owner, String name, String desc)`
  `CPMethodOrField`
  `getCPIMethod(CPClass cpClass, String name, String desc)`
  `CPMethodOrField`
  `getCPMethod(String owner, String name, String desc)`
  `CPMethodOrField`
  `getCPMethod(CPClass cpClass, String name, String desc)`
  `CPNameAndType`
  `getCPNameAndType(String name, String signature)`
  `CPSignature`
  `getCPSignature(String signature)`
  Gets a constant pool signature.
  `CPUTF8`
  `getCPUtf8(String utf8)`
  `void`
  `pack(OutputStream out)`
  Writes the packed set of bands to the given output stream.

  ### Methods inherited from class org.apache.commons.compress.harmony.pack200.BandSet

  `cpEntryListToArray, cpEntryOrNullListToArray, encodeBandInt, encodeFlags, encodeFlags, encodeScalar, encodeScalar, integerListToArray, longListToArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CpBands

    public CpBands(Segment segment, int effort)

- ## Method Details

  - ### addCPClass

    public void addCPClass(String className)

  - ### existsCpClass

    public boolean existsCpClass(String className)

  - ### finaliseBands

    public void finaliseBands()
    All input classes for the segment have now been read in, so this method is called so that this class can calculate/complete anything it could not do while classes were being read.

  - ### getConstant

    public CPConstant<?> getConstant(Object value)

  - ### getCPClass

    public CPClass getCPClass(String className)
    Gets a constant pool class for the given class name.
    Parameters:
      `className` - a fully-qualifed class name.
    Returns:
      a a constant pool class.

  - ### getCPField

    public CPMethodOrField getCPField(CPClass cpClass, String name, String desc)

  - ### getCPField

    public CPMethodOrField getCPField(String owner, String name, String desc)

  - ### getCPIMethod

    public CPMethodOrField getCPIMethod(CPClass cpClass, String name, String desc)

  - ### getCPIMethod

    public CPMethodOrField getCPIMethod(String owner, String name, String desc)

  - ### getCPMethod

    public CPMethodOrField getCPMethod(CPClass cpClass, String name, String desc)

  - ### getCPMethod

    public CPMethodOrField getCPMethod(String owner, String name, String desc)

  - ### getCPNameAndType

    public CPNameAndType getCPNameAndType(String name, String signature)

  - ### getCPSignature

    public CPSignature getCPSignature(String signature)
    Gets a constant pool signature.
    Parameters:
      `signature` - the signature string.
    Returns:
      a constant pool signature.

  - ### getCPUtf8

    public CPUTF8 getCPUtf8(String utf8)

  - ### pack

    public void pack(OutputStream out) throws IOException, Pack200Exception
    Description copied from class: `BandSet`
    Writes the packed set of bands to the given output stream.
    Specified by:
      `pack` in class `BandSet`
    Parameters:
      `out` - TODO
    Throws:
      `IOException` - If an I/O error occurs.
      `Pack200Exception` - If a Pack200 semantic error occurs.